/* ******************************************************************* */
/* **                                                               ** */
/* **                      ATUtilities Library                      ** */
/* **            Copright (C) 1992-1993 by Thomas Dreibholz         ** */
/* **                      All rights reserved                      ** */
/* **                                                               ** */
/* **                     Struktur-Definitionen                     ** */
/* **                                                               ** */
/* ******************************************************************* */

#include "janus.h"

/* #define SHAREWARE */
/* #define DEMO      */

struct NewDateStamp
{
 UBYTE Hour;
 UBYTE Minute;
 UBYTE Second;
 UBYTE DayNum;
 UBYTE Day;
 UBYTE Month;
 UWORD Year;
};

struct ATUtility
{
 UBYTE PortName[42];
 UBYTE Name[42];
};

struct ATUtilities
{
 UWORD            Count;
 struct ATUtility ATUtility[16];
};

struct ExtSetupSig
{
 UWORD            Offset;
 struct SetupSig *SetupSig;
 ULONG            JanusSignal;
 ULONG            JanusSignalMask;
 UBYTE           *ByteAccess;
 UWORD           *WordAccess;

 ULONG            System1,
                  System2;
};

#define PUBLIC_PAGESIZE (16*1024)

struct CommMemory
{
 UBYTE Memory[PUBLIC_PAGESIZE];
 UWORD Arg1;
 UWORD Arg2;
 UWORD Arg3;
 UWORD Arg4;
 UWORD Arg5;
 UWORD Arg6;
 UWORD Arg7;
 UWORD Arg8;
};


#define ERROR_JANUS     0
#define ERROR_DISKFONT  1
#define ERROR_OPAL      2
#define ERROR_MENU      3
#define ERROR_ALLOC     4
#define ERROR_SIGNAL    5
#define ERROR_SETUP     6
#define ERROR_JALLOC    7
#define ERROR_PORT      8
#define ERROR_MPORT     9
#define ERROR_ADDSERVICE 10
#define ERROR_UNDEF      10000
#define ERRORCNT 10

struct Segment
{
 ULONG Length;
 BPTR  Next;
 UWORD OpCode;
 VOID (* Address)();
};

#define UTILITY_CALL 50
#define UTILITY_QUIT 40
#define UTILITY_INFO 20
#define UTILITY_HELP 30

struct AppManager
{
 struct MsgPort *Port;
 ULONG           SignalMask;
 APTR            AppItem;
};

struct ExtServiceData
{
 UWORD               Offset;
 struct ServiceData *ServiceData;
 ULONG               JanusSignal;
 ULONG               JanusSignalMask;
 UBYTE              *ByteAccess;
 UWORD              *WordAccess;
 UWORD              *ServiceMem;

 UWORD               System;
};

struct MenuStrip
{
 struct Window   *Window;
 struct TextAttr  TextAttr;
 UBYTE            FrontPen;
 UBYTE            BackPen;

 struct Menu     *LastMenu;
 struct MenuItem *LastItem;
 struct MenuItem *LastSubItem;
 struct Remember *Remember;
};

struct InfoItem
{
 UBYTE  ShowItem;
 UBYTE  EnableItem;
 UBYTE *Title;
 UBYTE *Strings[14];
};

struct Info
{
 UWORD            Items;
 struct InfoItem *InfoItem[10];
};

